Skip to main content
POST
/
api
/
v2.1
/
customer
/
organization
/
{organizationId}
/
consents
/
{consentType}
cURL
curl --request POST \
  --url https://sandbox.finhub.cloud/api/v2.1/customer/organization/{organizationId}/consents/{consentType} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --header 'X-Forwarded-For: <x-forwarded-for>' \
  --header 'X-Forwarded-From: <x-forwarded-from>' \
  --header 'X-Tenant-ID: <x-tenant-id>' \
  --header 'deviceId: <deviceid>' \
  --header 'platform: <platform>' \
  --data '
{
  "accepted": true,
  "version": "1.0"
}
'
import requests

url = "https://sandbox.finhub.cloud/api/v2.1/customer/organization/{organizationId}/consents/{consentType}"

payload = {
"accepted": True,
"version": "1.0"
}
headers = {
"X-Forwarded-For": "<x-forwarded-for>",
"X-Tenant-ID": "<x-tenant-id>",
"X-Forwarded-From": "<x-forwarded-from>",
"platform": "<platform>",
"deviceId": "<deviceid>",
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'X-Forwarded-For': '<x-forwarded-for>',
'X-Tenant-ID': '<x-tenant-id>',
'X-Forwarded-From': '<x-forwarded-from>',
platform: '<platform>',
deviceId: '<deviceid>',
Authorization: '<authorization>',
'Content-Type': 'application/json'
},
body: JSON.stringify({accepted: true, version: '1.0'})
};

fetch('https://sandbox.finhub.cloud/api/v2.1/customer/organization/{organizationId}/consents/{consentType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Accept Organization Consent

Accepts mandatory organization consent types required for activation.

Endpoint

POST /api/v2.1/customer/organization/{organizationId}/consents/{consentType}

Required Headers

Path Parameters

organizationId
string
required
Organization UUID
terms, privacy, data-processing

Request Body

{
  "accepted": true,
  "version": "1.0"
}

Success Response

200
{
  "code": 200,
  "message": "Success"
}

Headers

X-Forwarded-For
string
required
X-Tenant-ID
string
required
X-Forwarded-From
string
required
platform
string
required
deviceId
string
required
Authorization
string
required

Path Parameters

organizationId
string
required
Available options:
terms,
privacy,
data-processing

Body

application/json
accepted
boolean
required
Example:

true

version
string
required
Example:

"1.0"

Response

200

Consent accepted